Loading...
Searching...
No Matches
QwtSeriesStore< T > Class Template Reference

Class storing a QwtSeriesData object. More...

`#include <qwt_series_store.h>`

Inheritance diagram for QwtSeriesStore< T >:

## Public Member Functions

| QwtSeriesStore ()
| Constructor The store contains no series.
| ~QwtSeriesStore ()
| Destructor.
void | setData (QwtSeriesData< T > *series)
QwtSeriesData< T > * | data ()
const QwtSeriesData< T > * | data () const
T | sample (int index) const
virtual size_t | dataSize () const override
virtual QRectF | dataRect () const override
virtual void | setRectOfInterest (const QRectF &rect) override
QwtSeriesData< T > * | swapData (QwtSeriesData< T > *series)
Public Member Functions inherited from QwtAbstractSeriesStore
virtual | ~QwtAbstractSeriesStore ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from QwtAbstractSeriesStore
virtual void | dataChanged ()=0
| dataChanged() indicates, that the series has been changed.

## Detailed Description

template<typename T>
class QwtSeriesStore< T >

Class storing a QwtSeriesData object.

QwtSeriesStore and QwtPlotSeriesItem are intended as base classes for all plot items iterating over a series of samples. Both classes share a virtual base class ( QwtAbstractSeriesStore ) to bridge between them.

QwtSeriesStore offers the template based part for the plot item API, so that QwtPlotSeriesItem can be derived without any hassle with templates.

Definition at line 66 of file qwt_series_store.h.

## Constructor & Destructor Documentation

## QwtSeriesStore()

template<typename T >

QwtSeriesStore< T >::QwtSeriesStore | ( |  | ) |

explicit

Constructor The store contains no series.

Definition at line 134 of file qwt_series_store.h.

## ~QwtSeriesStore()

template<typename T >

QwtSeriesStore< T >::~QwtSeriesStore | ( |  | ) |

Destructor.

Definition at line 140 of file qwt_series_store.h.

## Member Function Documentation

## data() [1/2]

template<typename T >

QwtSeriesData< T > * QwtSeriesStore< T >::data | ( |  | ) |

inline

Returns
  the the series data

Definition at line 146 of file qwt_series_store.h.

## data() [2/2]

template<typename T >

const QwtSeriesData< T > * QwtSeriesStore< T >::data | ( |  | ) | const

inline

Returns
  the the series data

Definition at line 152 of file qwt_series_store.h.

## dataRect()

template<typename T >

QRectF QwtSeriesStore< T >::dataRect | ( |  | ) | const

override virtual

Returns
  Bounding rectangle of the series or an invalid rectangle, when no series is stored

See also
  QwtSeriesData<T>::boundingRect()

Implements QwtAbstractSeriesStore.

Definition at line 184 of file qwt_series_store.h.

## dataSize()

template<typename T >

size_t QwtSeriesStore< T >::dataSize | ( |  | ) | const

override virtual

Returns
  Number of samples of the series

See also
  setData(), QwtSeriesData<T>::size()

Implements QwtAbstractSeriesStore.

Definition at line 175 of file qwt_series_store.h.

## sample()

template<typename T >

T QwtSeriesStore< T >::sample | ( | int | index | ) | const

inline

Parameters

  index | Index

Returns
  Sample at position index

Definition at line 158 of file qwt_series_store.h.

## setData()

template<typename T >

void QwtSeriesStore< T >::setData | ( | QwtSeriesData< T > * | series | ) |

Assign a series of samples

Parameters

  series | Data

Warning
  The item takes ownership of the data object, deleting it when its not used anymore.

Definition at line 164 of file qwt_series_store.h.

## setRectOfInterest()

template<typename T >

void QwtSeriesStore< T >::setRectOfInterest | ( | const QRectF & | rect | ) |

override virtual

Set a the "rect of interest" for the series

Parameters

  rect | Rectangle of interest

See also
  QwtSeriesData<T>::setRectOfInterest()

Implements QwtAbstractSeriesStore.

Definition at line 193 of file qwt_series_store.h.

## swapData()

template<typename T >

QwtSeriesData< T > * QwtSeriesStore< T >::swapData | ( | QwtSeriesData< T > * | series | ) |

Replace a series without deleting the previous one

Parameters

  series | New series

Returns
  Previously assigned series

Definition at line 200 of file qwt_series_store.h.